com.amazonaws.services.codedeploy.model

## Class RevisionLocation

- java.lang.Object
- - com.amazonaws.services.codedeploy.model.RevisionLocation

All Implemented Interfaces:
  Serializable, Cloneable

    public class RevisionLocation
    extends Object
    implements Serializable, Cloneable

Information about the location of an application revision.

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`RevisionLocation()`

### Method Summary

All Methods Instance Methods Concrete Methods
`RevisionLocation` `clone()`
`boolean` `equals(Object obj)`
`GitHubLocation` `getGitHubLocation()`
`String` `getRevisionType()` The type of application revision:
`S3Location` `getS3Location()`
`int` `hashCode()`
`void` `setGitHubLocation(GitHubLocation gitHubLocation)`
`void` `setRevisionType(RevisionLocationType revisionType)` The type of application revision:
`void` `setRevisionType(String revisionType)` The type of application revision:
`void` `setS3Location(S3Location s3Location)`
`String` `toString()` Returns a string representation of this object; useful for testing and debugging.
`RevisionLocation` `withGitHubLocation(GitHubLocation gitHubLocation)`
`RevisionLocation` `withRevisionType(RevisionLocationType revisionType)` The type of application revision:
`RevisionLocation` `withRevisionType(String revisionType)` The type of application revision:
`RevisionLocation` `withS3Location(S3Location s3Location)`

### Methods inherited from class java.lang.Object

`finalize, getClass, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### RevisionLocation

    public RevisionLocation()

### Method Detail

#### setRevisionType

    public void setRevisionType(String revisionType)

The type of application revision:

- S3: An application revision stored in Amazon S3.

- GitHub: An application revision stored in GitHub.

Parameters:
  `revisionType` - The type of application revision:

  - S3: An application revision stored in Amazon S3.

  - GitHub: An application revision stored in GitHub.

See Also:
  `RevisionLocationType`

#### getRevisionType

    public String getRevisionType()

The type of application revision:

- S3: An application revision stored in Amazon S3.

- GitHub: An application revision stored in GitHub.

Returns:
  The type of application revision:

  - S3: An application revision stored in Amazon S3.

  - GitHub: An application revision stored in GitHub.

See Also:
  `RevisionLocationType`

#### withRevisionType

    public RevisionLocation withRevisionType(String revisionType)

The type of application revision:

- S3: An application revision stored in Amazon S3.

- GitHub: An application revision stored in GitHub.

Parameters:
  `revisionType` - The type of application revision:

  - S3: An application revision stored in Amazon S3.

  - GitHub: An application revision stored in GitHub.

Returns:
  Returns a reference to this object so that method calls can be chained together.
See Also:
  `RevisionLocationType`

#### setRevisionType

    public void setRevisionType(RevisionLocationType revisionType)

The type of application revision:

- S3: An application revision stored in Amazon S3.

- GitHub: An application revision stored in GitHub.

Parameters:
  `revisionType` - The type of application revision:

  - S3: An application revision stored in Amazon S3.

  - GitHub: An application revision stored in GitHub.

See Also:
  `RevisionLocationType`

#### withRevisionType

    public RevisionLocation withRevisionType(RevisionLocationType revisionType)

The type of application revision:

- S3: An application revision stored in Amazon S3.

- GitHub: An application revision stored in GitHub.

Parameters:
  `revisionType` - The type of application revision:

  - S3: An application revision stored in Amazon S3.

  - GitHub: An application revision stored in GitHub.

Returns:
  Returns a reference to this object so that method calls can be chained together.
See Also:
  `RevisionLocationType`

#### setS3Location

    public void setS3Location(S3Location s3Location)

Parameters:
  `s3Location` -

#### getS3Location

    public S3Location getS3Location()

Returns:

#### withS3Location

    public RevisionLocation withS3Location(S3Location s3Location)

Parameters:
  `s3Location` -
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### setGitHubLocation

    public void setGitHubLocation(GitHubLocation gitHubLocation)

Parameters:
  `gitHubLocation` -

#### getGitHubLocation

    public GitHubLocation getGitHubLocation()

Returns:

#### withGitHubLocation

    public RevisionLocation withGitHubLocation(GitHubLocation gitHubLocation)

Parameters:
  `gitHubLocation` -
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### toString

    public String toString()

Returns a string representation of this object; useful for testing and debugging.

Overrides:
  `toString` in class `Object`
Returns:
  A string representation of this object.
See Also:
  `Object.toString()`

#### equals

    public boolean equals(Object obj)

Overrides:
  `equals` in class `Object`

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `Object`

#### clone

    public RevisionLocation clone()

Overrides:
  `clone` in class `Object`